lunedì, settembre 17, 2007

Gsopcast - aggiornamento alla versione 0.31 da sorgente

Sul sito http://lianwei3.googlepages.com/home2 ho notato che hanno aggiornato la versione di Gsopcast alla 0.31. Non so se in rete esiste il pacchetto .deb ed inoltre non sono riuscito con il checkinstall a creare il pacchetto. Per installarlo, bisogna scaricare i sorgenti e compilare il pacchetto.

HO COMPILATO I SORGENTI DEL 0.31 ED HO AVUTO DEI PROBLEMI (CORE DUMPED). PER DISINSTALLARLO E TORNARE ALLA VERSIONE PRECEDENTE DOVETE SEMPLICEMENTE ENTRARE NELLA CARTELLA GSOPCAST E LANCIARE:
 ./autogen.sh
sudo make uninstall



Installazione

Inizialmente risolviamo le dipendenze:
 sudo apt-get install libgtk2.0-0 curl libstdc++5 

e logicamente un lettore multimediale.

Scarichiamo il file sorgente utilizzando il subversion (o svn). Quindi prima scarichiamo dai repository il pacchetto subversion:
 sudo apt-get install subversion 

Successivamente, scarichiamo i sorgenti con subversion
 svn checkout http://gsopcast.googlecode.com/svn/trunk/ gsopcast 

Dopo tale comando, troveremo nella cartella gsopcast i sorgenti. Infatti entriamo nella cartella gsopcast:
 cd gsopcast 

e lanciamo in successione i seguenti comandi:
 ./autogen.sh
make
sudo make install

Durante la compilazione, stiamo attenti ai possibili errori di compilazione. In molti casi, i maggiori errori di compilazione sono dovute alle dipendenze. Questi molte volte ci vengono indicate dopo aver lanciato l'autogen. Fatemi sapere di particolari dipendenze cosi le segno su questo post.
L'applicazione in entrambi i casi potete ritrovarla nel menu sotto la voce Audio & Video

Infine eliminiamo i sorgenti scaricati, uscendo dalla cartella gsopcast:
 cd ..
sudo rm -Rf gsopcast


Appena installato, nella schermata Config sarà possibile notare che il lettore multimediale predefinito è Mplayer. Se si desidera utilizzare un lettore diverso da mplayer è sufficiente specificare il relativo comando all'interno della schermata di configurazione.

4 commenti:

tezla ha detto...

a me ha chiesto di installare gnome-common.

Davide ha detto...

tezla,

non so se l'ho scritto, ma si poteva intuire. Il programma gira di Gnome principalmente. Su Kde non so. Per questo motivo è normale che chieda di installare tale pacchetto. Chi usa gnome generalmente ce l'ha già installato.

Ciao
Davide

Prinzeugen ha detto...

Ciao, seguendo la tua guida ho avuto un po' di problemi in fase di compilazione. Alcuni li ho risolti gugolando, ma mi non risolvo questo: "Running aclocal-1.9...
aclocal:configure.ac:24: warning: macro `AM_PATH_ALSA' not found in library"

Hai qualche idea?

Davide ha detto...

Ciao, a quanto noto il problema è dato dai driver ALSA o comunque qualcosa riferito alla scheda audio. Non so come si risolve. Prova cmq ad installare i pacchetti .deb presenti in altre guide del blog. Inoltre, è da tanto che non aggiorno e ci dovrebbe essere una nuova versione di Gsopcast.

Ciao
Davide